Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/HeuristicLab.Tests.csproj
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 14908)
@@ -39,4 +39,8 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
@@ -73,4 +77,5 @@
     <Compile Include="Benchmark\DataTests.cs" />
     <Compile Include="Benchmark\RandomWalkTests.cs" />
+    <Compile Include="Erc\ErcTests.cs" />
     <Compile Include="Interpreter\Expressions\CommonTests.cs" />
     <Compile Include="Interpreter\Expressions\ExampleTests.cs" />
@@ -99,7 +104,5 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <Folder Include="Interpreter\Generator\" />
-  </ItemGroup>
+  <ItemGroup />
   <Choose>
     <When Condition="'$(VisualStudioVersion)' == '10.0' And '$(IsCodedUITest)' == 'True'">
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/ExpressionTest.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/ExpressionTest.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/ExpressionTest.cs	(revision 14908)
@@ -12,5 +12,5 @@
     [TestInitialize]
     public void BeforeTest() {
-      this.interpreter = new PushInterpreter(configuration);
+      interpreter = new PushInterpreter(configuration);
     }
 
@@ -22,15 +22,15 @@
       int? floatStack = 0,
       int? integerStack = 0) {
-      if (execStack.HasValue) Assert.AreEqual(execStack, this.interpreter.ExecStack.Count);
+      if (execStack.HasValue) Assert.AreEqual(execStack, interpreter.ExecStack.Count);
 
-      if (codeStack.HasValue) Assert.AreEqual(codeStack, this.interpreter.CodeStack.Count);
+      if (codeStack.HasValue) Assert.AreEqual(codeStack, interpreter.CodeStack.Count);
 
-      if (nameStack.HasValue) Assert.AreEqual(nameStack, this.interpreter.NameStack.Count);
+      if (nameStack.HasValue) Assert.AreEqual(nameStack, interpreter.NameStack.Count);
 
-      if (booleanStack.HasValue) Assert.AreEqual(booleanStack, this.interpreter.BooleanStack.Count);
+      if (booleanStack.HasValue) Assert.AreEqual(booleanStack, interpreter.BooleanStack.Count);
 
-      if (floatStack.HasValue) Assert.AreEqual(floatStack, this.interpreter.FloatStack.Count);
+      if (floatStack.HasValue) Assert.AreEqual(floatStack, interpreter.FloatStack.Count);
 
-      if (integerStack.HasValue) Assert.AreEqual(integerStack, this.interpreter.IntegerStack.Count);
+      if (integerStack.HasValue) Assert.AreEqual(integerStack, interpreter.IntegerStack.Count);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/BooleanExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/BooleanExpressionTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/BooleanExpressionTests.cs	(revision 14908)
@@ -19,5 +19,5 @@
       get
       {
-        return this.interpreter.BooleanStack;
+        return interpreter.BooleanStack;
       }
     }
@@ -28,10 +28,10 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestAnd() {
-      this.interpreter.BooleanStack.Push(true, false);
-      this.interpreter.Run(new BooleanAndExpression());
+      interpreter.BooleanStack.Push(true, false);
+      interpreter.Run(new BooleanAndExpression());
 
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
 
-      this.TestStackCounts(booleanStack: 1);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -41,5 +41,5 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestAndWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("AND", 1);
+      TestWithInsufficientArguments("AND", 1);
     }
 
@@ -49,10 +49,10 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestOr() {
-      this.interpreter.BooleanStack.Push(true, false);
-      this.interpreter.Run(new BooleanOrExpression());
+      interpreter.BooleanStack.Push(true, false);
+      interpreter.Run(new BooleanOrExpression());
 
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
 
-      this.TestStackCounts(booleanStack: 1);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -62,5 +62,5 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestOrWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("OR", 1);
+      TestWithInsufficientArguments("OR", 1);
     }
 
@@ -70,10 +70,10 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestNot() {
-      this.interpreter.BooleanStack.Push(true);
-      this.interpreter.Run(new BooleanNotExpression());
+      interpreter.BooleanStack.Push(true);
+      interpreter.Run(new BooleanNotExpression());
 
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
 
-      this.TestStackCounts(booleanStack: 1);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -83,5 +83,5 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestNotWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("NOT");
+      TestWithInsufficientArguments("NOT");
     }
 
@@ -91,10 +91,10 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestFromFloat() {
-      this.interpreter.FloatStack.Push(2.0);
-      this.interpreter.Run(new BooleanFromFloatExpression());
+      interpreter.FloatStack.Push(2.0);
+      interpreter.Run(new BooleanFromFloatExpression());
 
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
 
-      this.TestStackCounts(booleanStack: 1);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -104,5 +104,5 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestFromFloatWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("FROMFLOAT");
+      TestWithInsufficientArguments("FROMFLOAT");
     }
 
@@ -112,10 +112,10 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestFromInteger() {
-      this.interpreter.IntegerStack.Push(2);
-      this.interpreter.Run(new BooleanFromIntegerExpression());
+      interpreter.IntegerStack.Push(2);
+      interpreter.Run(new BooleanFromIntegerExpression());
 
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
 
-      this.TestStackCounts(booleanStack: 1);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -125,5 +125,5 @@
     [TestCategory("BooleanExpressionTest")]
     public void TestFromIntegerWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("FROMINTEGER");
+      TestWithInsufficientArguments("FROMINTEGER");
     }
 
@@ -137,5 +137,5 @@
 
     protected override void CheckOtherStacksAreEmpty() {
-      this.TestStackCounts(booleanStack: null);
+      TestStackCounts(booleanStack: null);
     }
   }
